New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Fix vaughnlive.tv #611

Merged
merged 1 commit into from Nov 23, 2014

Conversation

Projects
None yet
4 participants
@darvelo
Contributor

darvelo commented Nov 23, 2014

fixes #575

Looking at this xbmc plugin and its info file referenced by @Potentate, it doesn't seem the secure_token, port, and geo_code variables are needed anymore. It also seems the swf url is given in the response, so I took their approach and used that in the rtmp request.

The video token format seems to have changed from this to [ip]:[port];:mvnkey%[token], and doesn't require any of the transformations used previously to make it work.

chrippa added a commit that referenced this pull request Nov 23, 2014

@chrippa chrippa merged commit 7f0d264 into chrippa:develop Nov 23, 2014

1 check passed

continuous-integration/travis-ci The Travis CI build passed
Details
@chrippa

This comment has been minimized.

Show comment
Hide comment
@chrippa

chrippa Nov 23, 2014

Owner

Thanks!

Owner

chrippa commented Nov 23, 2014

Thanks!

@techmouse

This comment has been minimized.

Show comment
Hide comment
@techmouse

techmouse Dec 6, 2014

Please forgive my ignorance but how do I make use of this?

techmouse commented Dec 6, 2014

Please forgive my ignorance but how do I make use of this?

@darvelo

This comment has been minimized.

Show comment
Hide comment
@darvelo

darvelo Dec 6, 2014

Contributor

@techmouse If pip doesn't update livestreamer with pip install -U livestreamer then you can always just copy the code from here into livestreamer/plugins/vaughnlive.py in your livestreamer folder. Replace the code in the vaughnlive.py file with the code from this file.

Contributor

darvelo commented Dec 6, 2014

@techmouse If pip doesn't update livestreamer with pip install -U livestreamer then you can always just copy the code from here into livestreamer/plugins/vaughnlive.py in your livestreamer folder. Replace the code in the vaughnlive.py file with the code from this file.

@techmouse

This comment has been minimized.

Show comment
Hide comment
@techmouse

techmouse Dec 6, 2014

@darvelo Ah! I've been waiting for the update to roll out via pip for the last couple of weeks but so far no update has come. But manually changing the file did the trick. It's working great now. Thank you VERY much!

techmouse commented Dec 6, 2014

@darvelo Ah! I've been waiting for the update to roll out via pip for the last couple of weeks but so far no update has come. But manually changing the file did the trick. It's working great now. Thank you VERY much!

@darvelo

This comment has been minimized.

Show comment
Hide comment
@darvelo

darvelo Dec 6, 2014

Contributor

@techmouse 😉 Glad it worked for you!

Contributor

darvelo commented Dec 6, 2014

@techmouse 😉 Glad it worked for you!

@sync5

This comment has been minimized.

Show comment
Hide comment
@sync5

sync5 Dec 11, 2015

It needs a new fix, getting this error: "error: Unable to validate response text: Minimum length is 2 but value is 1"

sync5 commented Dec 11, 2015

It needs a new fix, getting this error: "error: Unable to validate response text: Minimum length is 2 but value is 1"

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment